﻿<!DOCTYPE html><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /></head><body>
<%var args= it.args,data = it.data ? it.data : it;%>
<div class="extbackground">
<div class="mainBody" id="mainBody" style="overflow-y:auto;">
    <div id="Set_IPV4">
      <div class="table-container">                    
        <div class="table-title"><span>/*[ID_IPV4_1]*/</span></div>
          <div class="table-list" id="IPV4List" style="position:relative;" template='<form style="height:100px" action="../cgi-bin/web_cgi_setting.cgi" id="settingForm" method="POST">
              <input type="hidden" name="_modify_configure" value="0">
              <input type="hidden" name="_modify_configure_detail" value="1">
              <input type="hidden" name="sessionId" value="{{=jQuery.cookie("sessionId")}}">
				  <input type="hidden" name="language_type" value="{{=jQuery.cookie("language_type")}}">
            <table cellspacing="0" cellpadding="0" class="table-b">                            
                <tbody>
                  <tr>
                    <td><p class="right">/*[ID_SCUP_IP]*/:</p></td>
                    <td><p class="left padding-ln"><input type="text" value="{{=Validates.ConvertIP(it["content"][0])}}" name="_ip" id="_ip" /></p></td>
                    <td><p class="right">/*[ID_SCUP_GATEWAY]*/:</p></td>
                    <td><p class="left padding-ln"><input type="text" value="{{=Validates.ConvertIP(it["content"][2])}}" name="_gate" id="_gate" /></p></td>
                  </tr>
                  <tr>
                    <td><p class="right">/*[ID_SCUP_MASK]*/:</p></td>
                    <td><p class="left padding-ln"><input type="text" value="{{=Validates.ConvertIP(it["content"][1])}}" name="_mask" id="_mask" /></p></td>
                  </tr>
                </tbody>
            </table>
            <a href="#" hideFocus="true" class="btn_2" id="_btn_ipv4"><span>/*[ID_SAVE]*/</span></a>
            </form>'>
        </div>
      </div>
        <div class="table-container">
            <div class="table-title"><span>/*[ID_DHCP]*/</span></div>
            <div class="table-list" id="DHCPList" style="position:relative;" template='<table cellspacing="0" cellpadding="0" class="table-b">
					<tbody>
					  <tr>
						<td style="width:40%"><p class="right">/*[ID_IP1]*/:</p></td>
						<td style="width:60%;"><p class="left padding-ln">{{=Validates.ConvertIP(it.content[0]) }}</p></td>
					  </tr>
			</tbody></table>'></div>
        </div>
	  <div class="table-container">                    
        <div class="table-title"><span>/*[ID_IPV6_1]*/</span></div>
			<div class="table-list" id="IPV6List" template='<form action="../cgi-bin/web_cgi_setting.cgi" id="IPV6Form" method="POST">
				  <input type="hidden" name="_modify_configure" value="0">
				  <input type="hidden" name="_modify_configure_detail" value="48">
				  <input type="hidden" name="sessionId" value="{{=jQuery.cookie("sessionId")}}">
				  <input type="hidden" name="language_type" value="{{=jQuery.cookie("language_type")}}">
					<table cellspacing="0" cellpadding="0" class="table-b">
					{{ var isDHCPON = it["content"][5]=="1" ? true : false; }}
					<tbody>
					  <tr>
						<td style="width:40%"><p class="right">/*[ID_LOCAL_IP]*/:</p></td>
						<td style="width:60%;"><p class="left padding-ln">{{=it["content"][0]}}<em style="padding:0 5px">/</em>{{=it.content[1] }}</p></td>
					  </tr>
					  <tr>
						<td style="width:40%"><p class="right">/*[ID_GLOBAL_IP]*/:</p></td>
						<td style="width:60%;"><p class="left padding-ln">
						{{if(isDHCPON){}}
						<input type="hidden" value="{{=it["content"][2]}}" name="_ip" id="_ipv6" />
						<input type="text"   value="{{=it["content"][2]}}" style="width:260px;background:#eee;" disabled="disabled" />
						{{}else{}}
						<input type="text" value="{{=it["content"][2]}}" name="_ip" id="_ipv6" style="width:260px;" />
						{{};}}
						</p></td>
					  </tr>
					  <tr>
						<td><p class="right">/*[ID_SCUP_PREV]*/:</p></td>
						<td><p class="left padding-ln">
						{{if(isDHCPON){}}
							<input type="hidden" value="{{=it["content"][3]}}" name="_prefix" id="_ip6_prefix" maxlength="3" />
							<input type="text"   value="{{=it["content"][3]}}" maxlength="3" style="width:50px;background:#eee;" disabled="disabled" />
						{{}else{}}
							<input type="text" value="{{=it["content"][3]}}" name="_prefix" id="_ip6_prefix" maxlength="3" style="width:50px;" />
						{{};}}
						</p></td>
					  </tr>
					  <tr>
						<td><p class="right">/*[ID_SCUP_GATEWAY1]*/:</p></td>
						<td><p class="left padding-ln"><input type="text" value="{{=it["content"][4]}}" name="_gate" id="_ipv6_gate" style="width:260px;" /></p></td>
					  </tr>
					   <tr>
						<td colspan="2" class="btn"><a href="#" hideFocus="true" class="btn_2" id="_btn_ipv6"><span>/*[ID_SAVE1]*/</span></a></td>
					  </tr>
					</tbody>                        
					</table>
				</form>' style="position:relative;"></div>
       </div>
      </div>
        <div class="table-container">
            <div class="table-title"><span>/*[ID_DHCP1]*/</span></div>
            <div class="table-list" id="IPV6DHCP" style="position:relative;" template='<table cellspacing="0" cellpadding="0" class="table-b">
					<tbody>
					  <tr>
						<td style="width:40%"><p class="right">/*[ID_IP2]*/:</p></td>
						<td style="width:60%;"><p class="left padding-ln">{{=it.content[0] }}<em style="padding:0 5px">/</em>{{=it.content[1] }}</p></td>
					  </tr>
			</tbody></table>'></div>
        </div>
 </div>
</div>
</body></html>
<%
Language["setting_ipv4"] = {
	"errors":[
		"/*[ID_ERROR0]*/",	/*[0]"Unknown error!"*/
		"/*[ID_ERROR1]*/",	/*[1]"Success, ACU card is rebooting!"*/
		"/*[ID_ERROR2]*/",	/*[2]"Failure, incorrect input!"*/
		"/*[ID_ERROR3]*/",	/*[3]"Failure, administrator authority required!"*/
		"/*[ID_ERROR4]*/",	/*[4]"Failure, incomplete information!",*/
		"/*[ID_ERROR5]*/",	/*[5]"Failure, ACU is hardware protected"*/
		"/*[ID_ERROR6]*/"	/*[6]"Failure,DHCP is ON"*/
	],
	"tips":[
		"/*[ID_TIPS9]*/",	/*[0]"Confirm the change to the IP add"*/
		"/*[ID_TIPS10]*/",	/*[1]"IP Address Error"*/	
		"/*[ID_TIPS11]*/",	/*[2]"Subnet Mask Error"*/
		"/*[ID_TIPS12]*/",	/*[3]"Default Gateway Error"*/
		"/*[ID_TIPS13]*/",	/*[4]"Loading"*/
		"/*[ID_TIPS14]*/",	/*[5]"Loading"*/	
		"/*[ID_TIPS15]*/",	/*[6]"failed, data format error!"*/
		"/*[ID_TIPS16]*/",	/*[7]"failed, please refresh the page!"*/
		"/*[ID_TIPS17]*/",	/*[8]"Please fill in the correct IPV6 address"*/
		"/*[ID_TIPS18]*/",	/*[9]"prefix can not be empty"*/
		"/*[ID_TIPS19]*/"	/*[10]"Please fill in the correct IPV6 gateway"*/
	]
};
%>
<script>
        if(!(window.location.href.toString().indexOf("hl")>-1))
        {
            var IPurl = window.location.href.toString().split("app")[0];
            window.location.href=""+IPurl+"app/www_user/html/eng/login.html";
        }
</script>